using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Txgy.RBS.DTO;
using Txgy.RBS.Framework.Api;
using Txgy.RBS.IServices;

namespace Txgy.RBS.IServices
{
    public interface ITimeTabService : IBaseService
    {
        ApiResult AddTimeTab(TimeTabDTO timeTabDTO);

        ApiResult DeleteTimeTab(int id);

        ApiResult UpdateTimeTab(TimeTabDTO timeTabDTO);

        TimeTabDTO GetTimeTab(int id);
     
        List<TimeTabDTO> GetAllTimeTab();
    }
}
